org.apache.jmeter.report.processor.graph

## Class AbstractSeriesSelector

- java.lang.Object
- - org.apache.jmeter.report.processor.graph.AbstractSeriesSelector

- All Implemented Interfaces:
    SampleSelector<Iterable<String>>, GraphSeriesSelector
  Direct Known Subclasses:
    CodeSeriesSelector, NameSeriesSelector, StaticSeriesSelector, StatusSeriesSelector

      public abstract class AbstractSeriesSelector
      extends Object
      implements GraphSeriesSelector

  The class AbstractSeriesSelector provide an abstract base class for GraphSeriesSelector.
  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractSeriesSelector()` Instantiates a new abstract series selector.
    `protected` | `AbstractSeriesSelector(boolean allowsControllerDiscrimination)` Instantiates a new abstract series selector.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `allowsControllersDiscrimination()` Indicates whether this selector allows controllers discrimination, which allows on graphs to only show transaction controllers
    `protected Iterable<String>` | `withDefaultIfEmpty(String value, String defaultValue)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.jmeter.report.core.SampleSelector

      `select`

- - ### Constructor Detail

    - #### AbstractSeriesSelector

          protected AbstractSeriesSelector()

      Instantiates a new abstract series selector.

    - #### AbstractSeriesSelector

          protected AbstractSeriesSelector(boolean allowsControllerDiscrimination)

      Instantiates a new abstract series selector.
      Parameters:
        `allowsControllerDiscrimination` - indicates whether this selector allows to discriminate controllers

  - ### Method Detail

    - #### allowsControllersDiscrimination

          public final boolean allowsControllersDiscrimination()

      Description copied from interface: `GraphSeriesSelector`
      Indicates whether this selector allows controllers discrimination, which allows on graphs to only show transaction controllers
      Specified by:
        `allowsControllersDiscrimination` in interface `GraphSeriesSelector`
      Returns:
        true, if this selector allows controllers discrimination; false otherwise

    - #### withDefaultIfEmpty

          protected Iterable<String> withDefaultIfEmpty(String value,
                                                        String defaultValue)

      Parameters:
        `value` - String value
        `defaultValue` - Default value to use if value is empty or null
      Returns:
        input or default value wrapped in a list

Copyright © 1998-2022 Apache Software Foundation. All Rights Reserved.